org.apache.ignite.internal.util.lang

## Class GridMapEntry<K,V>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridMapEntry<K,V>

All Implemented Interfaces:
  Serializable, Map.Entry<K,V>

    public class GridMapEntry<K,V>
    extends Object
    implements Map.Entry<K,V>, Serializable

Simple `Map.Entry` implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridMapEntry(K key, V val)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`K` `getKey()`
`V` `getValue()`
`int` `hashCode()`
`V` `setValue(V val)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridMapEntry

    public GridMapEntry(K key,
                V val)

Parameters:
  `key` - Key.
  `val` - Value.

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

#### setValue

    public V setValue(V val)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map.Entry<K,V>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry<K,V>`
Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015